/**************************************************************************************************** *
Style de la page login,
 I Général (centrage des block, taille des images, gestion du flex)
 II Fromulaire (mise en page des champ)
 III Modale "mdp oublié" et "Login"
 
version:1.0
date:23.11.23
Crée par : Michael Fiechter
 
**************************************************************************************************** */
/*generale*/
.login_header,
.login_form {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  align-items: center;
}

.login_logo {
  width: 120px;
  margin-top: 50px;
}

.login_personage {
  margin: 60px 0px 30px 0px;
  max-width: 220px;
  height:30vh;
}

/*formulaire*/
.login_input_container {
  max-width: 325px;
  width: 80%;
}

.input_container .login_input_container {
  margin: 5px 0px;
}

.login_form_option {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-around;
  max-width: 370px;
  width: 80%;
}

.login_checkbox label {
  display: flex;
  align-items: center;
  padding: 0px;
  margin: 0px;
}

.login_checkbox label input {
  width: 18px;
  height: 18px;
  padding: 0px;
  margin: 0px 10px 0px 0px;
  border-radius: 4px;
  appearance: auto;
  outline: none;
}

.login_mdpoublie a {
  text-decoration: underline;
  text-underline-offset: 2px;
}

.login_linkpointer:hover {
  cursor: pointer;
}

.login_activercompte {
  margin-top: 10px;
}

.login_button {
  background-color: var(--primary-700);
  color: #fff;
  font-size: 1rem;
  margin-top: 20px;
}

/*Modal 
activer mon compte et mot de passe oublier*/

/*général*/
.login_modal {
  width: 700px;
  margin: auto;
  border-radius: 1em;
  padding: 0px;
  border: none;
  max-width: 90%;
  overflow: initial;
  position: fixed;
  /*top: 50%; 
  left: 50%;
  transform: translate(-50%, -50%);*/
}

.login_modal::backdrop {
  background-color: #2176FF;
  opacity: 0.35;
}

/* .center_dialog {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
} */

/*.modal_input_container {
  margin-left: 10%;
  margin-right: 10%;
}*/

#activer_button_open {
  display: block;
  border: none;
  background: none;
  margin: 10px auto 0px auto;
  text-align: center;
}

/*Le boutton mdp et une blasie <a> pour que lorsque l'utilisateur press "enter" ça envoye le formulaire et non pas ouvrire la modal Mdp*/
#mdp_button_open {
  color: #2863ec;
  text-decoration: underline;
  border: none;
  background: none;
  cursor: pointer;
}

.login_modal h6 {
  display: block;
  line-height: 3em;
  padding-left: 5%;
  /*background-color: var(--primary-800);*/
  color: white;
  font-weight: 400;
  border-radius: 0.8em 0.8em 0 0;
}

.modal_button {
  border-top: solid 1px var(--blue-gray-200);
  padding-top: 20px;
}

.login_modal_button {
  float: right;
  margin: 0px 20px 10px 0px;
  font-weight: 400;
}

.login_modal_button_second {
  float: right;
  margin: 0px 20px 10px 0px;
  font-weight: 400;
  color: var(--primary-variant);
  background: none;
  text-transform: none;
}

/* Animation de "Votre compte n'a pas pu être identifié. Veuillez tenter de nouveau." */
.comptenonidentifie {
  animation: fade-in-out 4s ease-in-out forwards;
}

@keyframes fade-in-out {
  0% {
    opacity: 0;
  }
  25% {
    opacity: 1;
  }
  75% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

.errortext {
  font-size: 14px;
  /*margin-top: 24px;
  margin-bottom: 10px;
  margin-left: 10px;
  margin-right: 5px;*/
}

.onboarding-slides {
  display: none;
  background-color: white;
  border-radius: 1rem;
}

.onboarding_container {
  max-width: 325px;
  width: 80%;
}

.onboarding-container video {
  border: 1px solid #0C1137;
}
/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  height: 10px;
  width: 10px;
  margin: 0 2px;
  background-color: #ffffff;
  border-color: #0C1137;
  border-style: solid;
  border-width: 1px;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.dotactive {
  background-color: #0C1137;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

.onboarding_modalhead {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  background-color: var(--primary-800);
      border-radius: 1rem 1rem 0 0;
}

.onboardingBtn_container{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  background-color: white;
      border-radius: 0 0 1rem 1rem;
}

.dots_position {
  float:center;
}

.onboarding_modal_button {
  margin: 0px 20px 10px 0px;
  font-weight: 400;
}

.Btn-nobackgground {
  background: none;
  border: none;
}

.onboarding_modal_button_second {
  float: right;
  margin: 0px 20px 10px 0px;
  font-weight: 400;
  color: var(--primary-variant);
  text-transform: none;
}

.onboarding-emptyspace {
  width: 50px;
  height: auto;
}

.onboarding_modal_button_second img {
  background-color: var(--primary-800);
  border-color: var(--primary-800);
}

.onboarding_content {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 13px 50px;
}

.onboarding_affiche{
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.onboarding_download {
  font-size: 1rem;
  margin-top: 10px;
  width: 250px;
  background-color: var(--blue-gray-100);
  color: var(--blue-gray-900);
}

.onboarding_img1 {
  position: fixed;
  display:none;
  margin: 25px;
  bottom: 0;
  left: 0;
}

.onboarding_img2 {
  position: fixed;
  display:none;
  margin: 25px;
  bottom: 0;
  right: 0;
}
.dialog-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap:20px;
  width: 100%;
  padding: 30px 20px;
}